Subject: RE: [Adslmib] RE: draft-ietf-adslmib-vdsl-ext-scm-06

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 27 Oct 2004 14:31:17 +0200

Here is my review (a bit later than I had hoped/promised):

SMICng tells me now:
  E: f(vdslscm.mi2), (1,1) Construct "TEXTUAL-CONVENTION" used
     in VDSL-LINE-EXT-SCM-MIB, but not defined or imported

You must IMPORT the TEXTUAL -CONVENTION

  E: f(vdslscm.mi2), (82,11) Leading sub-Id "transmission" is
     not known in current module

You must IMPORT transmission

  E: f(vdslscm.mi2), (431,17) Item "vdslLineSCMConfProfileBandId"
     in object-group "vdslLineExtSCMGroup" has access of
     "not-accessible"

normally, not-accessible objecst should not be losted in an object group

  W: f(vdslscm.mi2), (13,5) "vdslMIB" imported but not used

You no longer should IMPORT vdslMIB if not used.

Pls fix syntax errors first.

You can extract the MIB and send it to [email-masked]
which will then send back a SYNTAX report.
For help, just send subjectline help to [email-masked]

Bert

_______________________________________________
Adslmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/adslmib

---

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 27 Oct 2004 16:50:47 -0700

Hi -

One smilint error message not covered in Bert's message:

> mailbody:305: [5] {index-element-accessible} warning: index element `vdslLineSCMPhysBandId' of row
> `vdslLineSCMPhysBandEntry' should be not-accessible in SMIv2 MIB

The vdslLineSCMPhysBandId OBJECT-TYPE should have a MAX-ACCESS of "not-accessible".
See RFC 2578 section 7.7 for details.

Randy